org.gcube.dataanalysis.dataminer.poolmanager.datamodel.comparator

## Class AlgorithmComparator

- java.lang.Object
- - org.gcube.dataanalysis.dataminer.poolmanager.datamodel.comparator.AlgorithmComparator

All Implemented Interfaces:
  Comparator<Algorithm>

    public class AlgorithmComparator
    extends Object
    implements Comparator<Algorithm>

### Constructor Summary

Constructors
Constructor and Description
`AlgorithmComparator()`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `compare(Algorithm a1, Algorithm a2)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Comparator

`comparing, comparing, comparingDouble, comparingInt, comparingLong, equals, naturalOrder, nullsFirst, nullsLast, reversed, reverseOrder, thenComparing, thenComparing, thenComparing, thenComparingDouble, thenComparingInt, thenComparingLong`

### Constructor Detail

#### AlgorithmComparator

    public AlgorithmComparator()

### Method Detail

#### compare

    public int compare(Algorithm a1,
                       Algorithm a2)

Specified by:
  `compare` in interface `Comparator<Algorithm>`